﻿<?php
/*
* Plugin Name: DH - Notification Bar
* Plugin URI: https://wordpress.org/plugins/dh-notification-bar/
* Version: 7
* Author: Dannie Herdyawan
* Author URI: http://dh.ezyro.com/notification-bar/
* Donate link: https://paypal.me/Ciusan
* Text Domain: dh-notification-bar
* Description: Showing notification message in top header.
* Tags: dh, notification, bar, notificationbar, notification-bar, header, message, notice, notify
*/

ob_start();

if(!function_exists('dhnotificationbar_enqueue')){
	function dhnotificationbar_enqueue(){
		global $options; $options = get_option('dh_notificationbar');

		$plugin_url = plugin_dir_url( __FILE__ );
		wp_enqueue_script('jquery');
		
		if($options['dhnbar_enable'] === 'on'){
//			wp_register_script('dhnotificationbar',$plugin_url.'assets/js/dhnotificationbar.js', array('jquery'));
//			wp_enqueue_script('dhnotificationbar');

			wp_register_script('js.cookie',$plugin_url.'assets/js/js.cookie.js', false);
			wp_enqueue_script('js.cookie');

			wp_register_style('dhnotificationbar',$plugin_url.'assets/css/dhnotificationbar.css', false);
			wp_enqueue_style('dhnotificationbar');

			wp_register_style('font-awesome','https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css', false);
			wp_enqueue_style('font-awesome');
		}
	}
} add_action('wp_enqueue_scripts','dhnotificationbar_enqueue');

if(!function_exists('dhnotificationbar_admin_enqueue')){
	function dhnotificationbar_admin_enqueue(){
		$plugin_url = plugin_dir_url( __FILE__ );
		wp_enqueue_script('jquery');

		wp_register_script('dhnotificationbar-admin',$plugin_url.'assets/js/dhnotificationbar-admin.js');
		wp_enqueue_script('dhnotificationbar-admin');
		
		wp_register_style('dhnotificationbar-admin',$plugin_url.'assets/css/dhnotificationbar-admin.css');
		wp_enqueue_style('dhnotificationbar-admin');

		wp_register_script('spectrum',$plugin_url.'assets/js/spectrum.js', false);
		wp_enqueue_script('spectrum');

		wp_register_style('spectrum',$plugin_url.'assets/css/spectrum.css', false);
		wp_enqueue_style('spectrum');
	}
}

/**
 * Register a custom menu page.
 */
if(!function_exists('dh_plugins_admin__menu')){
	function dh_plugins_admin__menu(){
    	add_menu_page('DH Plugins', 'DH Plugins', 'manage_options', 'dh-submit-donation', 'dh_submit_donation', plugin_dir_url( __FILE__ ).'assets/img/dh.png', 2 );
    	add_submenu_page('dh-submit-donation', 'Submit a Donation', 'Submit a Donation', 'manage_options', 'dh-submit-donation' );
	}
	add_action('admin_menu', 'dh_plugins_admin__menu');
}

function dh_notificationbar_admin__menu() {
   	add_submenu_page( 
		'dh-submit-donation',   //or 'index.php',
		'DH Notification Bar',
		'Notification Bar',
		'manage_options',
		'dh-notificationbar',
		'dh_notificationbar'
   	);
}
add_action('admin_menu', 'dh_notificationbar_admin__menu');

function dhnotificationbar_admin_head(){ ?>
	<script>
		jQuery(document).ready(function() {
			jQuery(".dh-success-messages").fadeOut(5000);
		});
		function CalculateOrder(form){
			var radG1;

			for (var i = 0; i < document.myform.os0.length; i++){
				if(document.myform.os0[i].checked==true){radG1=document.myform.os0[i].value;}
			}

			if(radG1 == "5.00") {
				document.myform.amount.value = '5.00';
				document.myform.item_number.value = "DH-5-00";
			} else if(radG1 == "10.00") {
				document.myform.amount.value = '10.00';
				document.myform.item_number.value = "DH-10-00";    
			} else if(radG1 == "25.00") {
				document.myform.amount.value = '25.00';
				document.myform.item_number.value = "DH-25-00";    
			} else if(radG1 == "50.00") {
				document.myform.amount.value = '50.00';
				document.myform.item_number.value = "DH-50-00";    
			} else if(radG1 == "100.00") {
				document.myform.amount.value = '100.00';
				document.myform.item_number.value = "DH-100-00";    
			}
		}
	</script>
<?php
}

function dhnotificationbar_admin_init(){
	// Create admin menu and page.
	add_action('admin_head','dhnotificationbar_admin_head');
	// Enable admin scripts and styles
	add_action('admin_enqueue_scripts','dhnotificationbar_admin_enqueue');
	
} add_action('init','dhnotificationbar_admin_init');

if(!function_exists('dh_submit_donation')){	
	function dh_submit_donation(){
?><br/><br/>
<!-- Start of Donation Form -->
<div class="dhnotificationbar row">
	<div align="center" class="whole">
		<p align="center"><h1 class="title">Donate with PayPal</h1></p><br/>
<form target="paypal" action="https://www.paypal.com/cgi-bin/webscr" method="post" name="myform">
<!-- If using a Business or Company Logo Graphic, include the "cpp_header_image" variable in your View Cart code. -->
<input type="hidden" name="cpp_header_image" value="https://images2.imgbox.com/de/ae/VOSLskTD_o.jpg"> 
<input type="hidden" name="on0" value="Donation Amount"> 
	<span class="dark">
		<input type="radio" name="os0" id="$5.00" value="5.00"><label for="$5.00">$5.00</label>
	</span>
	<span class="dark">
		<input type="radio" name="os0" id="$10.00" value="10.00"><label for="$10.00">$10.00</label>
	</span>
	<span class="dark">
		<input type="radio" name="os0" id="$25.00" value="25.00"><label for="$25.00">$25.00</label>
	</span>
	<span class="dark">
		<input type="radio" name="os0" id="$50.00" value="50.00"><label for="$50.00">$50.00</label>
	</span>
	<span class="dark">
		<input type="radio" name="os0" id="$100.00" value="100.00"><label for="$100.00">$100.00</label>
	</span>
<br/><br/>
<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" onClick="CalculateOrder(this.form)" alt="Make payments with PayPal - it's fast, free and secure!">
<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
<input type="hidden" name="cmd" value="_donations">
<!-- Replace "business" value with your PayPal Email Address or Account ID -->
<input type="hidden" name="business" value="paypal@ciusan.com">
<input type="hidden" name="item_number">
<input type="hidden" name="item_name" value="Buy a Coffee"> 
<input type="hidden" name="amount"> 
<input type="hidden" name="no_shipping" value="2">
<input type="hidden" name="no_note" value="1">
<input type="hidden" name="tax" value="0"> 
<input type="hidden" name="currency_code" value="USD">
<input type="hidden" name="lc" value="US">
<!-- Replace value with the web page you want the customer to return to after a successful transaction -->
<!-- <input type="hidden" name="return" value="https://www.yourwebsite.com/ThankYou.html"> -->
<!-- Replace value with the web page you want the customer to return to after item cancellation -->
<!-- <input type="hidden" name="cancel_return" value="https://www.yourwebsite.com/Cancel.html"> -->
<input type="hidden" name="button_subtype" value="products">
<input type="hidden" name="no_note" value="0">
<input type="hidden" name="cn" value="Add special instructions to the seller:">
<input type="hidden" name="bn" value="PP-DonationsBF:btn_donateCC_LG.gif:NonHosted">
</form>
	</div><br/><br/>

<hr/>
<!-- End of Donation Form -->
	<div align="center" class="whole"><br/>
		<p align="center"><h1 class="title">Donate with Bitcoin</h1></p><br/>
		<p align="center">
			<a href="bitcoin:1KaCuXnMDXMR6McTjP9f2TEBrWmQETqMGy">
				<img src="<?php echo plugin_dir_url( __FILE__ );?>assets/img/bitcoin.png"/>
			</a>
		</p>
		<p align="center">1KaCuXnMDXMR6McTjP9f2TEBrWmQETqMGy</p>
	</div>
</div>

<?php
	}
}

require ('admin_menu.php');
function dh_notificationbar(){ 
	echo '<div class="wrap"><h2>DH - Notification Bar</h2>';
	if (isset($_POST['save'])) {

		if(isset($_POST['dhnbar_enable'])) {
			$options['dhnbar_enable']= sanitize_text_field($_POST['dhnbar_enable']);
		} else {
			$options['dhnbar_enable']= null;
		}

		if(isset($_POST['dhnbar_fixedposition'])) {
			$options['dhnbar_fixedposition']= sanitize_text_field($_POST['dhnbar_fixedposition']);
		} else {
			$options['dhnbar_fixedposition']= null;
		}

		if(isset($_POST['dhnbar_hideclodebutton'])) {
			$options['dhnbar_hideclodebutton']= sanitize_text_field($_POST['dhnbar_hideclodebutton']);
		} else {
			$options['dhnbar_hideclodebutton']= null;
		}

		$pattern = "/(?i)\b((?:https?:\/\/|www\d{0,3}[.]|[a-z0-9.\-]+[.][a-z]{2,4}\/)(?:[^\s()<>]+|\(([^\s()<>]+|(\([^\s()<>]+\)))*\))+(?:\(([^\s()<>]+|(\([^\s()<>]+\)))*\)|[^\s`!()\[\]{};:'\".,<>?«»“”‘’]))/";
//		$options['dhnbar_content']		= stripslashes($pattern,esc_url('$1'),$_POST['dhnbar_content']);

		$options['dhnbar_content']		= stripslashes($_POST['dhnbar_content']);
		$options['dhnbar_textcolor']	= sanitize_text_field($_POST['dhnbar_textcolor']);
		$options['dhnbar_bgcolor']		= sanitize_text_field($_POST['dhnbar_bgcolor']);
		$options['dhnbar_zindex']		= sanitize_text_field($_POST['dhnbar_zindex']);
		$options['dhnbar_buttontext']	= htmlentities($_POST['dhnbar_buttontext']);
		$options['dhnbar_buttonurl']	= sanitize_text_field($_POST['dhnbar_buttonurl']);
		$options['dhnbar_linktarget']	= sanitize_text_field($_POST['dhnbar_linktarget']);
		$options['dhnbar_buttontextcolor']= sanitize_text_field($_POST['dhnbar_buttontextcolor']);
		$options['dhnbar_buttonbgcolor']= sanitize_text_field($_POST['dhnbar_buttonbgcolor']);

		update_option('dh_notificationbar',$options);
		// Show a message to say we've done something
		echo '<div class="updated dh-success-messages"><p><strong>'. __("Settings saved.","dh").'</strong></p></div>';
	} else {
		$options = get_option('dh_notificationbar');
	}
	echo dh_notificationbar_settings();
}

if(!function_exists('dhnotificationbar_head')){
	function dhnotificationbar_head(){
		global $options; $options = get_option('dh_notificationbar');
		if($options['dhnbar_enable'] === 'on'){
			$plugin_url = plugin_dir_url( __FILE__ );

			$CookieName = 'dhnotificationbar-'.sha1(sha1(md5(base64_encode(sha1(base64_encode(md5(get_bloginfo('name'))))))));
			$CookieValue = sha1(base64_encode(md5(sha1(base64_encode(sha1(base64_encode(md5(get_bloginfo('description')))))))));
?>
			<style>
				.dh-notification-bar {
					<?php if($options['dhnbar_fixedposition'] === 'on'){ ?>
						position: fixed !important;
					<?php }else{ ?>
						position: absolute !important;
					<?php } ?>
					width: 100% !important;
					display: block !important;
					top: 0 !important;
					left: 0 !important;
					<?php if($options['dhnbar_zindex']){ ?>
						z-index: <?php echo $options['dhnbar_zindex']; ?> !important;
					<?php }else{ ?>
						z-index: 17 !important;
					<?php } ?>
				}
				.dh-notification-text {
					background-color: <?php if($options['dhnbar_bgcolor']){echo $options['dhnbar_bgcolor'];}else{echo '#fff';}; ?> !important;
					color: <?php if($options['dhnbar_textcolor']){echo $options['dhnbar_textcolor'];}else{echo '#000';}; ?> !important;
/*
					border-bottom: 1px solid <?php if($options['dhnbar_textcolor']){echo $options['dhnbar_textcolor'];}else{echo '#000';}; ?> !important;
*/
					font-size: 14px !important;
					text-align: center !important;
					position: absolute !important;
					display: block !important;
					margin: 0px !important;
					width: 100% !important;
					line-height: 50px !important;
					box-shadow: 0px 0px 5px 0px <?php if($options['dhnbar_textcolor']){echo $options['dhnbar_textcolor'];}else{echo '#000';}; ?> !important;

					-webkit-animation: initiate 500ms ease !important;
					-moz-animation: initiate 500ms ease !important;
					-o-animation: initiate 500ms ease !important;
					animation: initiate 500ms ease !important;
				}
				.dh-notification-text a {
					background-color: <?php echo $options['dhnbar_buttonbgcolor']; ?> !important;
					padding: 5px 15px !important;
					border-radius: 5px !important;
					margin-left: 10px !important;
					color: <?php echo $options['dhnbar_buttontextcolor']; ?> !important;
					border: 0.25px solid <?php echo $options['dhnbar_buttonbgcolor']; ?> !important;
					box-shadow: 0px 0px 2.5px 0px <?php if($options['dhnbar_buttontextcolor']){echo $options['dhnbar_buttontextcolor'];}else{echo '#000';}; ?> !important;
					-webkit-transition: all .5s ease-in-out !important;
				}
				.dh-notification-text a:hover {
					box-shadow: none !important;
					border: 0.25px solid <?php echo $options['dhnbar_buttontextcolor']; ?> !important;
				}
				.dh-notification-bar label[for=hide] {
					color: <?php if($options['dhnbar_buttonbgcolor']){echo $options['dhnbar_buttonbgcolor'];}else{echo '#000';}; ?> !important;
					top: 12.5px !important;
					right: 30px !important;
					width: 40px !important;
					height: 50px !important;
				}
				.dh-notification-bar label[for=show] {
					color: <?php if($options['dhnbar_buttonbgcolor']){echo $options['dhnbar_buttonbgcolor'];}else{echo '#000';}; ?> !important;
					background-color: <?php if($options['dhnbar_bgcolor']){echo $options['dhnbar_bgcolor'];}else{echo '#fff';}; ?> !important;
					top: 0 !important;
					right: 35px !important;
					width: 40px !important;
					height: 50px !important;
				}
				.dh-notification-bar label[for=hide]:before,
				.dh-notification-bar label[for=show]:before {
					position: relative !important;
					font-family: FontAwesome !important;
					font-size: 17px !important;
					display: block !important;
				}
				.dh-notification-bar label[for=hide]:before {
					content: "\f00d" !important;
					top: 0 !important;
					right: 30px !important;
					width: 40px !important;
					height: 50px !important;
				}
				.dh-notification-bar label[for=show]:before {
					content: "\f062" !important;
					top: 10px !important;
					right: 28px !important;
				}
				.dh-notification-bar label[for=hide]:hover:before,
				.dh-notification-bar label[for=show]:hover:before {
					opacity: 0.75 !important;
				}
			</style>
<?php	}
	}
}

function dhnotificationbar_content(){
	global $options; $options = get_option('dh_notificationbar');
	if($options['dhnbar_enable'] === 'on'){

		$CookieName = 'dhnotificationbar-'.sha1(sha1(md5(base64_encode(sha1(base64_encode(md5(get_bloginfo('name'))))))));
		$CookieValue= sha1(base64_encode(md5(sha1(base64_encode(sha1(base64_encode(md5(get_bloginfo('description')))))))));
?>
		<div class="dh-notification-bar">
			<script type="text/javascript">
				jQuery(document).ready(function() {
					jQuery(".dh-notification-bar label[for=hide], .dh-notification-bar input#hide").click(function(){
						var inFifteenMinutes = new Date(new Date().getTime() + 15 * 60 * 1000);
						Cookies.set('dhnotificationbar', '<?php echo $CookieValue; ?>', {
							expires: inFifteenMinutes
						});
						jQuery("body").animate({marginTop: '0px', backgroundPosition: '0px'},250);
					});
				});

				jQuery(document).ready(function() {
					jQuery(".dh-notification-bar label[for=show], .dh-notification-bar input#show").click(function(){
						Cookies.remove('dhnotificationbar');
						jQuery("body").animate({marginTop: '50px', backgroundPosition: '0 50px'},250);
					});
				});
			</script>

			<?php if($options['dhnbar_hideclodebutton'] === 'on') { ?>
				<script type="text/javascript">
					jQuery(document).ready(function() {
						Cookies.remove('dhnotificationbar');
						jQuery("body").animate({marginTop: '50px', backgroundPosition: '0 50px'},250);
					});
				</script>
			<?php }	?>

			<script type="text/javascript">
				jQuery(document).ready(function($) {
					var _cookies = Cookies.get('dhnotificationbar');
					if(_cookies) {
						jQuery(".dh-notification-bar label[for=hide], .dh-notification-bar input#hide").prop("checked", true);
						jQuery("body").css({marginTop: '0px', backgroundPosition: '0px'});
					} else {
						jQuery(".dh-notification-bar label[for=show], .dh-notification-bar input#show").prop("checked", true);
						jQuery("body").css({marginTop: '50px', backgroundPosition: '0 50px'});
					}
				});
			</script>

			<input id="hide" type="radio" name="bar" value="hide">
			<input id="show" type="radio" name="bar" value="show">

			<label for="hide" <?php if($options['dhnbar_hideclodebutton']==='on'){?>style="display:none"<?php }?>></label>
			<label for="show"></label>

			<div class="dh-notification-text">
				<?php if($options['dhnbar_content']){echo $options['dhnbar_content'];}else{echo "DH Notification Bar";};
					if($options['dhnbar_buttontext']){
						echo '<a href="'.$options['dhnbar_buttonurl'].'" target="'.$options['dhnbar_linktarget'].'">'.stripcslashes($options['dhnbar_buttontext']);'</a>';
					};
				?>
			</div>
		</div>
<?php }
}

global $options; $options = get_option('dh_notificationbar');
if($options['dhnbar_enable'] === 'on'){
	add_action('wp_head', 'dhnotificationbar_head');
	add_action('wp_footer', 'dhnotificationbar_content');
}


ob_clean(); ?>